My Developer Account

ConnectedApplicationPerson

Example Request

curl https://api.planningcenteronline.com/api/v2/connected_applications/{connected_application_id}/people

View in API Explorer →

Example Object

{
  "type": "ConnectedApplicationPerson",
  "id": "1",
  "attributes": {
    "avatar_url": "string",
    "connected_at": "2000-01-01T12:00:00Z",
    "first_name": "string",
    "last_name": "string",
    "scopes": [],
    "site_administrator": true
  },
  "relationships": {}
}

Attributes

Name Type Description
avatar_url string
connected_at date_time
first_name string
id primary_key
last_name string
scopes array
site_administrator boolean

Query By

Name Parameter Type Description Example
site_administrator where[site_administrator] boolean

Query on a specific site_administrator

?where[site_administrator]=true

Pagination

Name Parameter Type Description
per_page per_page integer

how many records to return per page (min=1, max=100, default=25)

offset offset integer

get results from given offset

Endpoints

Listing

HTTP Method Endpoint
GET /api/v2/connected_applications/{connected_application_id}/people

Reading

HTTP Method Endpoint
GET /api/v2/connected_applications/{connected_application_id}/people/{id}

Belongs To

HTTP Method Endpoint Association Details Filter By
GET /api/v2/connected_applications/{connected_application_id}/people ConnectedApplication